
Redmine - Defect #14142

Upgrading Redmin 1.2.0 to 2.3.1

2013-05-24 15:35 - Gernot Riedel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

I'm using  the following parts:

ruby 1.8.7 (2011-12-28 patchlevel 357) [x86_64-linux]

rake, version 10.0.4

rubygem-rails Version: 2.3.14-0.3.1

redmine 2.3.1

MySQL-Server version: 5.1.63-log SUSE MySQL RPM

OS: openSUSE 11.4 (x86_64

No Plugins installed.

When i do the command

rake db:migrate RAILS_ENV=production

in the redmine root-folder  i will get the following (with --trace):

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

Child already added

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:345:in `add_at'

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:362:in `add'

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:280:in `push'

/redmine-2.3.1/redmine-2.3.1/lib/redmine.rb:200

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:212:in `map'

/redmine-2.3.1/redmine-2.3.1/lib/redmine.rb:199

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in `require'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in `require'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in `load_dependency'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in `require'

/redmine-2.3.1/redmine-2.3.1/config/initializers/30-redmine.rb:4

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in `load'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in `load'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in `load_dependency'

/usr/lib64/ruby/gems/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in `load'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/engine.rb:588

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/engine.rb:587:in `each'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/engine.rb:587

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/initializable.rb:30:in `instance_exec'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/initializable.rb:30:in `run'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/initializable.rb:55:in `run_initializers'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/initializable.rb:54:in `each'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/initializable.rb:54:in `run_initializers'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/application.rb:136:in `initialize!'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in `send'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in `method_missing'

/redmine-2.3.1/redmine-2.3.1/config/environment.rb:14

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/application.rb:103:in `require'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/application.rb:103:in `require_environment!'

/usr/lib64/ruby/gems/1.8/gems/railties-3.2.13/lib/rails/application.rb:297:in `initialize_tasks'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:246:in `call'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:246:in `execute'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:241:in `each'
/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:241:in `execute'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:184:in `invoke_with_call_chain'

/usr/lib64/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:177:in `invoke_with_call_chain'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:205:in `invoke_prerequisites'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:203:in `each'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:203:in `invoke_prerequisites'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:183:in `invoke_with_call_chain'

/usr/lib64/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:177:in `invoke_with_call_chain'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:170:in `invoke'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:143:in `invoke_task'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `each'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:110:in `run_with_threads'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:95:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:73:in `run'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:160:in `standard_exception_handling'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:70:in `run'

/usr/lib64/ruby/gems/1.8/gems/rake-10.0.4/bin/rake:33

/usr/bin/rake:23:in `load'

/usr/bin/rake:23

Tasks: TOP => db:migrate => environment

The same output by

RAILS_ENV=production rake about --trace.

I do the upgrade like discribed in

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

All i found were answers and fixes for problems with plugins,

but i do not use plugins.

History

#1 - 2013-05-25 12:11 - Toshi MARUYAMA

- Category changed from Issues to Database

#2 - 2013-05-25 12:21 - Toshi MARUYAMA

Could you try to run "bundle exec rake db:migrate"?

#3 - 2013-05-25 12:44 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2013-05-27 07:44 - Gernot Riedel

Thanks for your answer.

I try to run

bundle exec rake db:migrate

and the output:

rake aborted!

Unknown database 'redmine_development'

OK, i have no database redmine_development.

Then i run

bundle  exec rake db:migrate RAILS_ENV=production

and the outpuut

rake aborted!

Child already added

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:345:in `add_at'

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:362:in `add'

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:280:in `push'

/redmine-2.3.1/redmine-2.3.1/lib/redmine.rb:200

/redmine-2.3.1/redmine-2.3.1/lib/redmine/menu_manager.rb:212:in `map'

/redmine-2.3.1/redmine-2.3.1/lib/redmine.rb:199
/redmine-2.3.1/redmine-2.3.1/config/initializers/30-redmine.rb:4

/redmine-2.3.1/redmine-2.3.1/config/environment.rb:14

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

"--trace" dos not work.

My bundle-version is Bundler version 1.3.5.

When i check with "bundle" the output is:

Using rake (10.0.4)

Using i18n (0.6.1)

Using multi_json (1.7.3)

Using activesupport (3.2.13)

Using builder (3.0.0)

Using activemodel (3.2.13)

Using erubis (2.7.0)

Using journey (1.0.4)

Using rack (1.4.5)

Using rack-cache (1.2)

Using rack-test (0.6.2)

Using hike (1.2.2)

Using tilt (1.4.1)

Using sprockets (2.2.2)

Using actionpack (3.2.13)

Using mime-types (1.23)

Using polyglot (0.3.3)

Using treetop (1.4.12)

Using mail (2.5.4)

Using actionmailer (3.2.13)

Using arel (3.0.2)

Using tzinfo (0.3.37)

Using activerecord (3.2.13)

Using activeresource (3.2.13)

Using coderay (1.0.9)

Using fastercsv (1.5.5)

Using rack-ssl (1.3.3)

Using json (1.8.0)

Using rdoc (3.12.2)

Using thor (0.18.1)

Using railties (3.2.13)

Using jquery-rails (2.0.3)

Using mysql (2.8.1)

Using net-ldap (0.3.1)

Using ruby-openid (2.1.8)

Using rack-openid (1.3.1)

Using bundler (1.3.5)

Using rails (3.2.13)

Your bundle is complete!

Gems in the groups development, test and rmagick were not installed.

Use `bundle show [gemname]` to see where a bundled gem is installed.

Do i miss something else?

#5 - 2019-01-10 03:15 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

I'm closing this ticket because is very old and almost sure obsolete. Please reopen if you experience the same issue  on the latest Redmine versions.
